### Constructor

# Shumate MapLayer new

#### Declaration [src]

    ShumateMapLayer*
    shumate_map_layer_new (
      ShumateMapSource* map_source,
      ShumateViewport* viewport
    )

#### Description

No description available.

#### Parameters

`map_source` | `ShumateMapSource`
| No description available.
| The data is owned by the caller of the function.
`viewport` | `ShumateViewport`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `ShumateMapLayer`
| No description available.
| The data is owned by the called function.